const validator = {
  mobile(rule: any, value: any, callback: any) {
    if (!/^1\d{10}$/.test(value)) {
      return new Error('请输入正确的手机号')
    }
    callback()
  },
  email(rule: any, value: any, callback: any) {
    if (!/^[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.([a-zA-Z]{2,4})$/.test(value)) {
      callback(new Error('请输入正确的邮箱'))
    }
    callback()
  }
}

export default validator
